%global apiversion 1.15

Summary: C++ unit testing framework
Name:    cppunit
Version: 1.15.1
Release: 4%{?dist}
License: LGPLv2+
Url:     https://www.freedesktop.org/wiki/Software/cppunit/
Source0: http://dev-www.libreoffice.org/src/%{name}-%{version}.tar.gz

BuildRequires: gcc-c++ make

%description
CppUnit is the C++ port of the famous JUnit framework for unit testing. Test output is in XML for
automatic testing and GUI based for supervised tests.

%package devel
Summary: Libraries and headers for cppunit development
Requires: %{name} = %{version}-%{release}

%description devel
This package contains the libraries and headers necessary for developing programs that use cppunit.

%prep
%autosetup -n %{name}-%{version} -p1

%build
%configure \
    --enable-doxygen \
    --disable-static \
    --disable-silent-rules \
    %{nil}

sed -i \
    -e 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' \
    -e 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' \
    libtool

%make_build

%install
%make_install

rm %{buildroot}%{_libdir}/*.la
rm -rf %{buildroot}%{_datadir}/doc/cppunit %{buildroot}%{_datadir}/%{name}/html

rm -rf __dist-examples __dist-examples-dir
cp -a examples __dist-examples
make -C __dist-examples distclean
find __dist-examples \( -name Makefile.in -o -name .gitignore -o -name '*.opt' -o -name '*.sln' -o -name '*.vcproj' \) -exec rm {} \;
mkdir __dist-examples-dir
mv __dist-examples __dist-examples-dir/examples

%files
%license COPYING
%doc AUTHORS NEWS README THANKS TODO BUGS doc/FAQ
%{_bindir}/DllPlugInTester
%{_libdir}/libcppunit-%{apiversion}.so.1
%{_libdir}/libcppunit-%{apiversion}.so.1.*

%files devel
%doc __dist-examples-dir/examples/
%{_includedir}/cppunit
%{_libdir}/libcppunit.so
%{_libdir}/pkgconfig/cppunit.pc

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.15.1-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.15.1-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.15.1-2
- Rebuilt for OpenCloudOS Stream 23

* Tue Jan 31 2023 Shuo Wang <abushwang@tencent.com> - 1.15.1-1
- initial build
